> For the complete documentation index, see [llms.txt](https://docs.eximee.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eximee.com/documentation/documentation-en/budowanie-aplikacji/interfejs-uzytkownika/formularze/biblioteka-komponentow-bazowych/4-tresci/obraz-image.md).

# Image - Image

{% hint style="info" %}
Availability of functionality depends on the license and may not be available in all deployments.
{% endhint %}

Image component

![](/files/40a2305392dbd33a122369af7df5339ecab01ac9)

## Component properties

<table><thead><tr><th>Eximee Designer property</th><th width="186.4666748046875">Attribute name in the Source</th><th>Description</th></tr></thead><tbody><tr><td><strong>Image link</strong> (section <strong>Basic properties</strong>)</td><td>imageUrl</td><td>The image must be stored in the project repository so that it can be displayed in the form. In the parameter, enter the relative path to this resource.</td></tr><tr><td><strong>Text to display when the URL is invalid</strong> (section <strong>Basic properties</strong>)</td><td>imageAlt</td><td>Content or graphic to be displayed if the image is not found (default empty). Note! You must set the presentation (<code>presentation</code>) informational.</td></tr><tr><td><strong>Preserve the image's default proportions</strong> (section <strong>Basic properties</strong>)</td><td>keepAspectRatio</td><td>Parameter for preserving the image's default proportions (default value "Yes"). Availability of the functionality depends on the license and may not be available in all deployments.</td></tr><tr><td><strong>Image height</strong></td><td>heightHint</td><td>Image height. Availability of the functionality depends on the license and may not be available in all deployments.</td></tr><tr><td><strong>Image width</strong></td><td>widthHint</td><td>Image width. Availability of the functionality depends on the license and may not be available in all deployments.</td></tr><tr><td><strong>Presentation</strong> (section <strong>WCAG</strong>)</td><td>presentation</td><td>- Informational — the image is focusable and has the attribute <code>alt</code> from the property "Text to display when the URL is invalid".<br>- Decorative — the image is not focusable and has the attribute <code>alt</code> with an empty value.</td></tr></tbody></table>

> More information about component properties: [Common component properties](/documentation/documentation-en/budowanie-aplikacji/interfejs-uzytkownika/formularze/praca-z-komponentami-bazowymi/wspolne-wlasciwosci-komponentow.md)

{% hint style="info" %}
Demo applications: demoImage
{% endhint %}

{% hint style="info" %}
♿WCAG: [Good WCAG practices for low-code dev](/documentation/documentation-en/budowanie-aplikacji/proces-biznesowy/tworzenie-procesu-biznesowego-w-bpmn-2.0/dobre-praktyki.md)
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.eximee.com/documentation/documentation-en/budowanie-aplikacji/interfejs-uzytkownika/formularze/biblioteka-komponentow-bazowych/4-tresci/obraz-image.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
